/*=============================================================================
 *                          Softwarepraktikum iMaze
 *                                 1993/94
 *                    Joerg Czeranski    Hans-Ulrich Kiel
 *                              Tim Wittrock
 *-----------------------------------------------------------------------------
 * spiel.h,v
 * Revision 1.4  1997/05/19 14:28:28  tim
 * RCS-version
 *
 *-----------------------------------------------------------------------------
 * Kommentar:
 *  Definition der Prototypen fuer die Schnittstelle
 *  zwischen Netzwerk und Client
 * benoetigt:
 *  global.h, labyrinth.h, signale.h, spieler.h
 *===========================================================================*/

static char rcsid_spiel[] = "spiel.h,v 1.4 1997/05/19 14:28:28 tim Exp";


/* Prototypen fuer die Schnittstellenfunktionen */

#ifdef __STDC__

int spielparameter_empfangen(char *programmname, char *spielername,
	char *spielerspruch, u_int *feldbreite, u_int *feldlaenge,
	block ***spielfeld);
void spiel_verlassen(void);
void spiel_puffer_anlegen(int **spieler_aktiv, struct spieler **spieler,
	int **gegneranz, struct spieler **gegner, int **schuss_aktiv,
	struct schuss **schuss, int **schussanz, struct schuss **schuesse,
	int **abgeschossen_durch, char ***abschuss_spruch, char **ereignisse,
	int **punkte);
void netzwerk_spielende(void);
void signale_abfragen(char signale[SIGNALANZ]);

#else

int spielparameter_empfangen();
void spiel_verlassen();
void spiel_puffer_anlegen();
void netzwerk_spielende();
void signale_abfragen();

#endif
